Loading...
Searching...
No Matches
RDKit::MolOps::AdjustQueryParameters Struct Reference

Parameters controlling the behavior of MolOps::adjustQueryProperties. More...

`#include <MolOps.h>`

## Public Member Functions

| AdjustQueryParameters ()

## Static Public Member Functions

static AdjustQueryParameters | noAdjustments ()
| returns an AdjustQueryParameters object with all adjustments disabled

## Public Attributes

bool | adjustDegree = true
std::uint32_t | adjustDegreeFlags = ADJUST_IGNOREDUMMIES | ADJUST_IGNORECHAINS
bool | adjustRingCount = false
std::uint32_t | adjustRingCountFlags
bool | makeDummiesQueries = true
bool | aromatizeIfPossible = true
bool | makeBondsGeneric
std::uint32_t | makeBondsGenericFlags = ADJUST_IGNORENONE
bool | makeAtomsGeneric
std::uint32_t | makeAtomsGenericFlags = ADJUST_IGNORENONE
bool | adjustHeavyDegree = false
std::uint32_t | adjustHeavyDegreeFlags
bool | adjustRingChain = false
std::uint32_t | adjustRingChainFlags = ADJUST_IGNORENONE
bool | useStereoCareForBonds
bool | adjustConjugatedFiveRings
bool | setMDLFiveRingAromaticity
bool | adjustSingleBondsToDegreeOneNeighbors
bool | adjustSingleBondsBetweenAromaticAtoms

## Detailed Description

Parameters controlling the behavior of MolOps::adjustQueryProperties.

Note that some of the options here are either directly contradictory or make no sense when combined with each other. We generally assume that client code is doing something sensible and don't attempt to detect possible conflicts or problems.

Definition at line 392 of file MolOps.h.

## Constructor & Destructor Documentation

## AdjustQueryParameters()

RDKit::MolOps::AdjustQueryParameters::AdjustQueryParameters | ( |  | ) |

inline

Definition at line 450 of file MolOps.h.

## Member Function Documentation

## noAdjustments()

static AdjustQueryParameters RDKit::MolOps::AdjustQueryParameters::noAdjustments | ( |  | ) |

inline static

returns an AdjustQueryParameters object with all adjustments disabled

Definition at line 443 of file MolOps.h.

References adjustDegree, aromatizeIfPossible, and makeDummiesQueries.

## Member Data Documentation

## adjustConjugatedFiveRings

bool RDKit::MolOps::AdjustQueryParameters::adjustConjugatedFiveRings

Initial value:
=
false

sets bond queries in conjugated five-rings to SINGLE|DOUBLE|AROMATIC

Definition at line 425 of file MolOps.h.

## adjustDegree

bool RDKit::MolOps::AdjustQueryParameters::adjustDegree = true

add degree queries

Definition at line 393 of file MolOps.h.

Referenced by noAdjustments().

## adjustDegreeFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustDegreeFlags = ADJUST_IGNOREDUMMIES | ADJUST_IGNORECHAINS

Definition at line 394 of file MolOps.h.

## adjustHeavyDegree

bool RDKit::MolOps::AdjustQueryParameters::adjustHeavyDegree = false

adjust the heavy-atom degree instead of overall degree

Definition at line 413 of file MolOps.h.

## adjustHeavyDegreeFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustHeavyDegreeFlags

Initial value:
=
ADJUST_IGNOREDUMMIES | ADJUST_IGNORECHAINS
RDKit::MolOps::ADJUST_IGNOREDUMMIES
@ ADJUST_IGNOREDUMMIES
Definition MolOps.h:377
RDKit::MolOps::ADJUST_IGNORECHAINS
@ ADJUST_IGNORECHAINS
Definition MolOps.h:375

Definition at line 415 of file MolOps.h.

## adjustRingChain

bool RDKit::MolOps::AdjustQueryParameters::adjustRingChain = false

add ring-chain queries

Definition at line 418 of file MolOps.h.

## adjustRingChainFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustRingChainFlags = ADJUST_IGNORENONE

Definition at line 419 of file MolOps.h.

## adjustRingCount

bool RDKit::MolOps::AdjustQueryParameters::adjustRingCount = false

add ring-count queries

Definition at line 396 of file MolOps.h.

## adjustRingCountFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::adjustRingCountFlags

Initial value:
=
ADJUST_IGNOREDUMMIES | ADJUST_IGNORECHAINS

Definition at line 397 of file MolOps.h.

## adjustSingleBondsBetweenAromaticAtoms

bool RDKit::MolOps::AdjustQueryParameters::adjustSingleBondsBetweenAromaticAtoms

Initial value:
=
false

sets non-ring single bonds between two aromatic or conjugated atoms to SINGLE|AROMATIC

Definition at line 437 of file MolOps.h.

## adjustSingleBondsToDegreeOneNeighbors

bool RDKit::MolOps::AdjustQueryParameters::adjustSingleBondsToDegreeOneNeighbors

Initial value:
=
false

sets single bonds between aromatic or conjugated atoms and degree one neighbors to SINGLE|AROMATIC

Definition at line 433 of file MolOps.h.

## aromatizeIfPossible

bool RDKit::MolOps::AdjustQueryParameters::aromatizeIfPossible = true

perceive and set aromaticity

Definition at line 403 of file MolOps.h.

Referenced by noAdjustments().

## makeAtomsGeneric

bool RDKit::MolOps::AdjustQueryParameters::makeAtomsGeneric

Initial value:
=
false

convert atoms to generic queries (any atoms)

Definition at line 409 of file MolOps.h.

## makeAtomsGenericFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::makeAtomsGenericFlags = ADJUST_IGNORENONE

Definition at line 411 of file MolOps.h.

## makeBondsGeneric

bool RDKit::MolOps::AdjustQueryParameters::makeBondsGeneric

Initial value:
=
false

convert bonds to generic queries (any bonds)

Definition at line 405 of file MolOps.h.

## makeBondsGenericFlags

std::uint32_t RDKit::MolOps::AdjustQueryParameters::makeBondsGenericFlags = ADJUST_IGNORENONE

Definition at line 407 of file MolOps.h.

## makeDummiesQueries

bool RDKit::MolOps::AdjustQueryParameters::makeDummiesQueries = true

convert dummy atoms without isotope labels to any-atom queries

Definition at line 400 of file MolOps.h.

Referenced by noAdjustments().

## setMDLFiveRingAromaticity

bool RDKit::MolOps::AdjustQueryParameters::setMDLFiveRingAromaticity

Initial value:
=
false

uses the 5-ring aromaticity behavior of the (former) MDL software as documented in the Chemical Representation Guide

Definition at line 429 of file MolOps.h.

## useStereoCareForBonds

bool RDKit::MolOps::AdjustQueryParameters::useStereoCareForBonds

Initial value:
=
false

remove stereochemistry info from double bonds that do not have the stereoCare property set

Definition at line 421 of file MolOps.h.

The documentation for this struct was generated from the following file:

- MolOps.h